org.apache.storm.clojure

## Class RichShellSpout

- java.lang.Object
- - org.apache.storm.spout.ShellSpout
  - - org.apache.storm.clojure.RichShellSpout

- All Implemented Interfaces:
    Serializable, ISpout, IComponent, IRichSpout

      public class RichShellSpout
      extends ShellSpout
      implements IRichSpout

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.storm.spout.ShellSpout

      `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichShellSpout(String[] command, Map<String,StreamInfo> outputs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `declareOutputFields(OutputFieldsDeclarer declarer)` Declare the output schema for all the streams of this topology.
    `Map<String,Object>` | `getComponentConfiguration()` Declare configuration specific to this component.

    - ### Methods inherited from class org.apache.storm.spout.ShellSpout

      `ack, activate, changeChildCWD, close, deactivate, fail, nextTuple, open, setEnv, shouldChangeChildCWD`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.spout.ISpout

      `ack, activate, close, deactivate, fail, nextTuple, open`

- - ### Constructor Detail

    - #### RichShellSpout

          public RichShellSpout(String[] command,
                                Map<String,StreamInfo> outputs)

  - ### Method Detail

    - #### declareOutputFields

          public void declareOutputFields(OutputFieldsDeclarer declarer)

      Description copied from interface: `IComponent`

      Declare the output schema for all the streams of this topology.

      Specified by:
        `declareOutputFields` in interface `IComponent`
      Parameters:
        `declarer` - this is used to declare output stream ids, output fields, and whether or not each output stream is a direct stream

    - #### getComponentConfiguration

          public Map<String,Object> getComponentConfiguration()

      Description copied from interface: `IComponent`

      Declare configuration specific to this component. Only a subset of the “topology.*” configs can be overridden. The component configuration can be further overridden when constructing the topology using `TopologyBuilder`

      Specified by:
        `getComponentConfiguration` in interface `IComponent`

Copyright © 2021 The Apache Software Foundation. All rights reserved.